[Swift-commit] r7292 - trunk/tests/multi_remote

yadunandb at ci.uchicago.edu yadunandb at ci.uchicago.edu
Fri Nov 15 14:06:42 CST 2013


Author: yadunandb
Date: 2013-11-15 14:06:42 -0600 (Fri, 15 Nov 2013)
New Revision: 7292

Modified:
   trunk/tests/multi_remote/remote_driver.check.sh
   trunk/tests/multi_remote/remote_driver.setup.sh
   trunk/tests/multi_remote/sites.template.xml
Log:

Fixed a couple of minor bugs.
- A clean checkout was not being forced.
- reduced slots requested to get test-resources allocated faster



Modified: trunk/tests/multi_remote/remote_driver.check.sh
===================================================================
--- trunk/tests/multi_remote/remote_driver.check.sh	2013-11-14 19:57:05 UTC (rev 7291)
+++ trunk/tests/multi_remote/remote_driver.check.sh	2013-11-15 20:06:42 UTC (rev 7292)
@@ -5,7 +5,7 @@
 DATE=$(date +%H%M%S)
 
 [ ! -z $FROM_MAIL ] || FROM_MAIL="test-engine at swift.rcc.uchicago"
-[ ! -z $TO_MAIL ]   || TO_MAIL="yadudoc1729 at gmail.com"
+#[ ! -z $TO_MAIL ]   || TO_MAIL="yadudoc1729 at gmail.com"
 
 if [ -d "swift" ]
 then
@@ -87,30 +87,19 @@
 echo "Link: $PUBLISH_SERVER/$VERSION/$RUN_DIR-$DATE/$HTML"  >> $MAIL
 echo "==========================================================================">> $MAIL
 cat $MAIL
-mailx -s "Test results from $HOSTNAME" -r $FROM_MAIL $TO_MAIL  < $MAIL
 
-cp -R $folder $PUBLISH_LOCATION/$VERSION/$RUN_DIR-$DATE &
-exit 0
+echo "Mail: mailx -s \"Test results from $HOSTNAME\" -r $FROM_MAIL ${TO_MAIL[*]}  < $MAIL"
 
-#########################################################################################
-############# SUBMIT Results to CI##############
-cd $HOME;
-cd ..;
-RUN_DIR=$(basename $PWD);
-cd ..;
-echo "mv $RUN_DIR \"$RUN_DIR-local\" "
+mailx -s "Test results from $HOSTNAME" -r $FROM_MAIL ${TO_MAIL[*]}  < $MAIL
 
-mv $RUN_DIR "$RUN_DIR-local"
-tar -cf Local.tar "$RUN_DIR-local"
-scp Local.tar ci:~/public_html/$VERSION/
+cp -R $folder $PUBLISH_LOCATION/$VERSION/$RUN_DIR-$DATE &
 
-echo "Running update and maintenance script on publish server";
-#ssh ci "cd ~/public_html/$VERSION/; cp ~/bin/maint.sh .;  ./maint.sh"
-mv "$RUN_DIR-local" $RUN_DIR
-rm Local.tar
+echo "Publishing links to CI from $MAIL"
+grep -o "http.*" $MAIL | tee result_links.txt
 
-echo "=====================================">> $MAIL
-cd $HOME;
-cat $MAIL
-mailx -s "Test results from $HOSTNAME" -r $FROM_MAIL $TO_MAIL  < $MAIL
+DATE=$(date +%Y-%m-%d)
+echo "Posting result_links.txt to /ci/www/projects/swift/tests/$VERSION/run-$DATE/"
+cat result_links.txt
+scp result_links.txt ci:/ci/www/projects/swift/tests/$VERSION/run-$DATE/
 
+exit 0

Modified: trunk/tests/multi_remote/remote_driver.setup.sh
===================================================================
--- trunk/tests/multi_remote/remote_driver.setup.sh	2013-11-14 19:57:05 UTC (rev 7291)
+++ trunk/tests/multi_remote/remote_driver.setup.sh	2013-11-15 20:06:42 UTC (rev 7292)
@@ -1,8 +1,5 @@
 #!/bin/bash
 
-#CLEAN_CHECKOUT="yes"
-CLEAN_CHECKOUT="no"
-
 [ ! -z $COG_URL ]         || COG_URL=https://svn.code.sf.net/p/cogkit/svn/trunk/src/cog
 [ ! -z $SWIFT_URL ]       || SWIFT_URL=https://svn.ci.uchicago.edu/svn/vdl2/trunk
 [ ! -z $SWIFT_VERSION ]   || SWIFT_VERSION=trunk
@@ -18,6 +15,8 @@
 [ ! -z $SWIFT_SOURCE ]    || SWIFT_SOURCE="/home/yadunand/swift"
 [ ! -z $RUN_TYPE ]        || RUN_TYPE="daily"
 [ ! -z $SWIFT_TAR_FILE ]  || SWIFT_TAR_FILE="/scratch/midway/yadunand/swift-trunk.tar"
+[ ! -z $CLEAN_CHECKOUT ]  || CLEAN_CHECKOUT="yes"
+
 SITES="sites.xml"
 cp  $SITES  $SITES.bak
 cat $SITES | sed "s/BEAGLE_USERNAME/$BEAGLE_USERNAME/g" > tmp && mv tmp $SITES
@@ -44,42 +43,42 @@
 else
     if [ -f "swift.tar" ]
     then
-	echo "Found swift.tar. Extracting.."
-	tar -xf swift.tar
+	    echo "Found swift.tar. Extracting.."
+	    tar -xf swift.tar
     fi
 
-    if [ "CLEAN_CHECKOUT" == "yes" ] || [ ! -d "swift" ]
+    if [ "$CLEAN_CHECKOUT" == "yes" ] || [ ! -d "swift" ]
     then
-	echo "Cleaning and making fresh checkout"
-	rm -rf swift &> /dev/null
-	mkdir swift && cd swift
-	svn co $COG_URL
-	cd cog/modules
-	svn co $SWIFT_URL swift
-	cd swift
+	    echo "Cleaning and making fresh checkout"
+	    rm -rf swift &> /dev/null
+	    mkdir swift && cd swift
+	    svn co $COG_URL
+	    cd cog/modules
+	    svn co $SWIFT_URL swift
+	    cd swift
     else
-	echo "Updating Cog sources"
-	cd swift/
-	svn up *  
-	echo "Updating Swift sources"
-	cd cog/modules/swift
+	    echo "Updating Cog sources"
+	    cd swift/
+	    svn up *
+	    echo "Updating Swift sources"
+	    cd cog/modules/swift
         svn up *
     fi
-    
+
     echo "$PWD : Starting compile"
     ant redist | tee $BASE/compile.log
     if [ "$?" != "0" ]
     then
-	echo "Swift compile failed. Cannot proceed"
-	exit 1
+	    echo "Swift compile failed. Cannot proceed"
+	    exit 1
     fi
 
     cd $BASE
     if [ -d "swift" ]
     then
-	tar -cf swift.tar.tmp ./swift && mv swift.tar.tmp swift.tar && echo "Tarred successfully"
+	    tar -cf swift.tar.tmp ./swift && mv swift.tar.tmp swift.tar && echo "Tarred successfully"
     else
-	echo "Could not find swift folder to tar"
+	    echo "Could not find swift folder to tar"
     fi;
 fi
 

Modified: trunk/tests/multi_remote/sites.template.xml
===================================================================
--- trunk/tests/multi_remote/sites.template.xml	2013-11-14 19:57:05 UTC (rev 7291)
+++ trunk/tests/multi_remote/sites.template.xml	2013-11-15 20:06:42 UTC (rev 7292)
@@ -36,7 +36,7 @@
     <profile namespace="globus" key="jobsPerNode">24</profile>
     <profile namespace="globus" key="lowOverAllocation">100</profile>
     <profile namespace="globus" key="highOverAllocation">100</profile>
-    <profile namespace="globus" key="providerAttributes">pbs.aprun;pbs.mpp;depth=24;pbs.resource_list=advres=wilde.1768</profile>
+    <profile namespace="globus" key="providerAttributes">pbs.aprun;pbs.mpp;depth=24;</profile>
     <profile namespace="globus" key="maxtime">36000</profile>
     <profile namespace="globus" key="maxWalltime">01:05:00</profile>
     <profile namespace="globus" key="userHomeOverride">/lustre/beagle/BEAGLE_USERNAME/swiftwork</profile>
@@ -110,7 +110,7 @@
     <profile namespace="globus"  key="maxWalltime">01:05:00</profile>
     <profile namespace="globus"  key="highOverAllocation">100</profile>
     <profile namespace="globus"  key="lowOverAllocation">100</profile>
-    <profile namespace="globus"  key="slots">1000</profile>
+    <profile namespace="globus"  key="slots">2</profile>
     <profile namespace="globus"  key="maxNodes">1</profile>
     <profile namespace="globus"  key="nodeGranularity">1</profile>
     <!-- <profile namespace="globus"  key="condor.+AccountingGroup">"group_friends.yadunand"</profile> -->




More information about the Swift-commit mailing list